package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.domain_shate.LandUse;
import com.ruoyi.system.domain_shate.SeedingSuccessRate;
import com.ruoyi.system.mapper_shate.LandUseMapper;
import com.ruoyi.system.service_shate.ILandUseServices;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.Year;
import java.util.List;
import java.util.Set;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:20
 */
@Service
public class LandUseServiceipml implements ILandUseServices
{
    @Resource
    private LandUseMapper mapper;

    @Override
    public List<LandUse> sqlSeeding(String zone, String[] landUses,String year) {
        List<LandUse> value=mapper.sqlSeeding(zone, landUses,year);
        return value;
    }

    @Override
    public List<LandUse> sqlSeeding1(String zone, String year) {
        List<LandUse> value=mapper.sqlSeeding1(zone,year);
        return value;
    }

    @Override
    public Integer insertSeeding(LandUse use) {
        return mapper.insertSeeding(use);
    }

    @Override
    public List<LandUse> sqlYear() {
        return mapper.sqlYear();
    }
}
